Get Namespaces For Restore

Get Namespaces For Restore

Endpoint to get namespaces where given backup can be restored
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER

Request
URI
GET
https://{api_host}/provider/backups/{id}/namespaces
COPY
Path Parameters
string
id
Required

ID of the Backup


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "id": "string",
        "name": "string",
        "description": "string",
        "environment": {
            "id": "string",
            "name": "string"
        },
        "localStorages": [
            {
                "id": "string",
                "name": "string",
                "isDefault": false
            }
        ],
        "cloudStorages": [
            {
                "id": "string",
                "name": "string",
                "isDefault": false
            }
        ],
        "datastores": [
            {
                "id": "string",
                "name": "string",
                "moId": "string",
                "isDefault": false
            }
        ],
        "appNetworks": [
            {
                "id": "string",
                "name": "string",
                "moId": "string",
                "isDefault": false
            }
        ],
        "organisations": [
            {
                "id": "string",
                "name": "string",
                "isPublished": false,
                "databaseCount": 0
            }
        ],
        "status": "string",
        "runtimeInfo": [
            {
                "id": "string",
                "namespaceId": "string",
                "alertType": "string",
                "alertLevel": "string",
                "alertTime": "string"
            }
        ],
        "databaseCount": 0,
        "lastUpdatedTime": "string"
    }
]

400

Bad Request

Operation doesn't return any data structure